Bug 26436 - .mdb generated on Windows and used on *nix fails on some sdb commands
Summary: .mdb generated on Windows and used on *nix fails on some sdb commands
Status: RESOLVED FIXED
Alias: None
Product: Runtime
Classification: Mono
Component: Debugger (show other bugs)
Version: unspecified
Hardware: PC Mac OS
: --- normal
Target Milestone: ---
Assignee: Zoltan Varga
URL:
Depends on:
Blocks:
 
Reported: 2015-01-26 17:39 UTC by David Karlaš
Modified: 2015-02-07 22:38 UTC (History)
2 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on GitHub or Developer Community with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
RESOLVED FIXED

Description David Karlaš 2015-01-26 17:39:15 UTC
When .mdb is generated on Windows and used on *nix debugge it fails on some sdb commands. I know that it fails on:
TYPE->GET_SOURCE_FILES is returning full paths instead of just file name
and
TypeLoadEvent->Modifier->SOURCE_FILE_ONLY is not filtering correctly for source files specified via file name only.
Comment 1 Zoltan Varga 2015-02-07 22:38:09 UTC
Should be fixed by cc6e967a23b64b22b691b69618de865d3eff697f.